<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity InventoryItem.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idproduct"
                                 baseTableName="inventory_item"
                                 constraintName="fk_inventory_item_product_id"
                                 referencedColumnNames="idproduct"
                                 referencedTableName="good"/>

        <addForeignKeyConstraint baseColumnNames="idreceipt"
                                 baseTableName="inventory_item"
                                 constraintName="fk_inventory_item_shipment_receipt_id"
                                 referencedColumnNames="idreceipt"
                                 referencedTableName="shipment_receipt"/>

        <addForeignKeyConstraint baseColumnNames="idfacility"
                                 baseTableName="inventory_item"
                                 constraintName="fk_inventory_item_facility_id"
                                 referencedColumnNames="idfacility"
                                 referencedTableName="facility"/>

        <addForeignKeyConstraint baseColumnNames="idcontainer"
                                 baseTableName="inventory_item"
                                 constraintName="fk_inventory_item_container_id"
                                 referencedColumnNames="idcontainer"
                                 referencedTableName="container"/>

        <addForeignKeyConstraint baseColumnNames="idowner"
                                 baseTableName="inventory_item"
                                 constraintName="fk_inventory_item_owner_id"
                                 referencedColumnNames="idparty"
                                 referencedTableName="party"/>

    </changeSet>
</databaseChangeLog>
